Maemomm Reference Documentation: hildon-fmmm

Main Page Namespaces Book

# Hildon Namespace Reference

## Classes
class | FileChooserDialog
| The Hildon::FileChooserDialog is a dialog used to save and open user files. More...
class | FileDetailsDialog
| The Hildon::FileDetailsDialog is a dialog to show file information. More...
class | FileSelection
| A file tree widget. More...
class | FileSystemModel
| A tree model that contains file system data. More...
## Enumerations
enum | FileSelectionMode { FILE_SELECTION_MODE_LIST, FILE_SELECTION_MODE_THUMBNAILS }
enum | FileSelectionPane { FILE_SELECTION_PANE_NAVIGATION, FILE_SELECTION_PANE_CONTENT }
enum | FileSelectionSortKey { FILE_SELECTION_SORT_NAME, FILE_SELECTION_SORT_TYPE, FILE_SELECTION_SORT_MODIFIED, FILE_SELECTION_SORT_SIZE }
## Functions
void | fm_init ()
| Initialize hildon-fmmm.

## Function Documentation

void Hildon::fm_init | ( |  | ) |

Initialize hildon-fmmm.

You may call this more than once.